Requirement.txt file for running the code in my own pc

As far as I can discern, the errors in the screenshots above are not related to the dataset or any runtime operations. Rather, they arise due to incompatibilities in the environment when trying to install the new package, specifically version(s) of what is installed and setuptools. See for example Importerror: cannot import name 'feature' from 'setuptools'

There may be runtime issues down the road from using a different dataset, but we’re not there yet.

Hello ai_curious,

I agree it is also import error too, but the module for the file where the get_in_build model also requires necessary changes before he uses his new dataset and my reply meant for the first screenshot error.

and what you are explaining is also totally correct that it requires to import setuptools to build his require module for this assignment.

Regards
DP